questions:
## Application Settings
- variable: name
  default: ""
  description: "Name of the Application, will be used for the URL"
  type: string
  required: true
  label: Application Name
  group: "Application Settings"

## General Image Settings
- variable: image.repository
  default: "linuxserver/piwigo"
  description: "Docker image which will be deployed"
  type: string
  required: true
  label: Docker Image
  group: "General Image Settings"
- variable: image.tag
  default: "latest"
  description: "Tag of the docker image which will be deployed"
  type: string
  required: true
  label: Docker Image Tag
  group: "General Image Settings"

## Port Configuration
- variable: port.enabled
  default: true
  description: "Expose port of application"
  label: Expose Port
  type: boolean
  show_subquestion_if: true
  group: "Port Settings"
  subquestions:
  - variable: port.expose
    default: 80
    description: "Exposed port"
    type: int
    required: true
    label: Exposed Port

## Ingress Configuration
- variable: ingress.enabled
  default: true
  description: "Expose port of application"
  label: Create Ingress
  type: boolean
  show_subquestion_if: true
  group: "Ingress Settings"
  subquestions:
  - variable: ingress.url
    default: ".myvps.ch"
    description: "Where to publish the App"
    label: Deployment URL
    type: string

## Storage Configuration
- variable: storage.enabled
  default: true
  description: "Enable application persistence"
  label: Enable persistent storage
  type: boolean
  show_subquestion_if: true
  group: "Storage Settings"
  subquestions:
  - variable: storage.size
    default: 5Gi
    description: "Storage Size"
    type: string
    required: true
    label: Storage size
  - variable: storage.class
    description: "Storage class"
    type: storageclass
    required: true
    label: Storage class